pqxx::internal::transactionfocus Class Reference

`#include <transaction_base.hxx>`

Inheritance diagram for pqxx::internal::transactionfocus:
[legend]

## Public Member Functions

| transactionfocus (transaction_base &t)
| transactionfocus ()=delete
| transactionfocus (const transactionfocus &)=delete
transactionfocus & | operator= (const transactionfocus &)=delete
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname)
| namedclass (const std::string &Classname, const std::string &Name)
const std::string & | name () const noexcept
| Object name, or the empty string if no name was given. More...
const std::string & | classname () const noexcept
| Class name. More...
std::string | description () const
| Combination of class name and object name; or just class name. More...

## Protected Member Functions

void | register_me ()
void | unregister_me () noexcept
void | reg_pending_error (const std::string &) noexcept
bool | registered () const noexcept

## Protected Attributes

transaction_base & | m_trans

## Constructor & Destructor Documentation

## transactionfocus() [1/3]

pqxx::internal::transactionfocus::transactionfocus | ( | transaction_base & | t | ) |

explicit

## transactionfocus() [2/3]

pqxx::internal::transactionfocus::transactionfocus | ( |  | ) |

delete

## transactionfocus() [3/3]

pqxx::internal::transactionfocus::transactionfocus | ( | const transactionfocus & |  | ) |

delete

## Member Function Documentation

## operator=()

transactionfocus& pqxx::internal::transactionfocus::operator= | ( | const transactionfocus & |  | ) |

delete

## reg_pending_error()

void pqxx::internal::transactionfocus::reg_pending_error | ( | const std::string & | err | ) |

protected noexcept

## register_me()

void pqxx::internal::transactionfocus::register_me | ( |  | ) |

protected

## registered()

bool pqxx::internal::transactionfocus::registered | ( |  | ) | const

protected noexcept

## unregister_me()

void pqxx::internal::transactionfocus::unregister_me | ( |  | ) |

protected noexcept

## Member Data Documentation

## m_trans

transaction_base& pqxx::internal::transactionfocus::m_trans

protected

The documentation for this class was generated from the following files:

- transaction_base.hxx
- transaction_base.cxx